const char *default_yafcrc = ""
"# sample config file for Yafc -*- sh -*-\n"
"# If you plan to save passwords in this file,\n"
"# make sure permissions is no more than 0600 (chmod 0600 yafcrc)\n"
"\n"
"# blank lines and text between #'s and EOL are skipped\n"
"# boolean values can be specified as 1/0, true/false, yes/no, on/off\n"
"# strings must be enclosed in quotes (\"\" or '') if it contains spaces\n"
"\n"
"\n"
"# You can include any other file using the 'include' statement\n"
"#include ~/.yafc/other_preferences\n"
"\n"
"# set password used for anonymous logins\n"
"#anon_password \"foo@bar.se\"\n"
"\n"
"# attempt to login automagically, using login info in bookmarks\n"
"autologin on\n"
"\n"
"# attempt to reconnect automatically on timed out connection\n"
"autoreconnect on\n"
"\n"
"# quit program if received EOF (C-d)\n"
"quit_on_eof yes\n"
"\n"
"# read bookmark entries from ~/.netrc\n"
"read_netrc yes\n"
"\n"
"# use passive mode connections\n"
"# if false, use sendport mode\n"
"# if you get the message \"Host doesn't support passive mode\", set to false\n"
"use_passive_mode yes\n"
"\n"
"# do reverse DNS lookups?\n"
"reverse_dns yes\n"
"\n"
"# show some more information (all replies)\n"
"verbose off\n"
"# print ftp commands sent to server + all replies\n"
"debug off\n"
"# create trace files\n"
"trace off\n"
"\n"
"# If this option is true, filenames will be completed with ... while\n"
"# waiting for the directory listing to be downloaded.\n"
"waiting_dots on\n"
"\n"
"# Custom options that will be passed to SSH.\n"
"# Supports:\n"
"#   -l USER; -p PORT; -v; -r; -d; -c CIPHER; -i IDENTITY; -C; -1; -2\n"
"#ssh_options \"-c blowfish\"\n"
"\n"
"# Try to use scp if connect via ssh.\n"
"ssh_try_scp yes\n"
"\n"
"# set to true to skip query of remote system on connect\n"
"inhibit_startup_syst no\n"
"\n"
"# use environment string to show information\n"
"# can be seen in the process list with 'ps'\n"
"use_env_string yes\n"
"\n"
"# use tab to complete remote files\n"
"remote_completion on\n"
"\n"
"# time (in seconds) before a cached directory times out and needs to\n"
"# be reread, 0 == never\n"
"cache_timeout 0\n"
"\n"
"# auto-create a bookmark when connection is closed?\n"
"auto_bookmark yes # no/yes/ask\n"
"\n"
"# auto-update an existing bookmark when connection is closed?\n"
"auto_bookmark_update yes # no/yes/ask\n"
"\n"
"# by default, if auto_bookmark is true, non-anonymous passwords are not saved\n"
"# anonymous passwords are always saved though\n"
"# if auto_bookmark is 'ask', you will be asked whehter to save password or not\n"
"# remember: passwords are stored in clear text!!! (well, base64-encoded...)\n"
"auto_bookmark_save_passwd NO\n"
"\n"
"# don't print \"created bookmark 'foo', bookmarks saved\"\n"
"auto_bookmark_silent no\n"
"\n"
"# default type for file transfers\n"
"# ascii mode not recommended since it can mess up binary files\n"
"# see also 'ascii_transfer_mask' below\n"
"default_type binary # ...or ascii\n"
"\n"
"# default security machanisms to use, separated with colon\n"
"# valid arguments are krb4, krb5 and none\n"
"#default_mechanism \"krb4:krb5:none\"\n"
"#default_mechanism krb4\n"
"\n"
"# filenames matching any of these masks are transferred in ascii mode,\n"
"# ignoring the value of 'default_type'\n"
"# masks are separated by colons (eg. \"*.ext1:*.ext2:filename*:\")\n"
"# can be overridden with the --type option to get/put\n"
"# case sensitive\n"
"ascii_transfer_mask \"README:*.html:*.htm:*.txt\"\n"
"ascii_transfer_mask \"*.dsc:*.lsm:*.md5\"\n"
"\n"
"# filenames matching any of these masks are transferred before other files\n"
"transfer_first_mask \"*.sfv:*.nfo:*.txt:README*:md5sum*:*.md5:*.diz\"\n"
"\n"
"# filenames matching any of these masks are not transferred\n"
"ignore_mask \".svn:.git*\"\n"
"\n"
"# how many files to transfer to show transfer stats\n"
"# you can also specify this per-transfer with --stats=NUM\n"
"stats_threshold 20\n"
"\n"
"# beep after a 'long' command is finished\n"
"beep_after_long_command yes\n"
"\n"
"# number of seconds for command to become 'long'\n"
"long_command_time 30\n"
"\n"
"# how long (in seconds) before aborting a command without response\n"
"command_timeout 42\n"
"# how long (in seconds) before aborting a connection without response\n"
"connection_timeout 30\n"
"\n"
"# number of times to try to re-connect if login failed (due to busy server)\n"
"#  -1 for unlimited number of tries, 0 to disable\n"
"connect_attempts 10\n"
"# number of seconds to wait between connection attempts\n"
"connect_wait_time 30\n"
"\n"
"# save and load history lines in ~/.yafc/history\n"
"# (this is a no-op if not compiled with readline)\n"
"use_history yes\n"
"\n"
"# max number of history lines to save\n"
"# (this is a no-op if not compiled with readline)\n"
"history_max 256\n"
"\n"
"# Yafc will cd to this (local) directory upon startup\n"
"#startup_local_directory ~/download\n"
"\n"
"# if set, Yafc sends mail to this address when nohup transfers are finished\n"
"#nohup_mailaddress someusername@somedomain\n"
"\n"
"# complete path to sendmail used by nohup_mailaddress above\n"
"#sendmail_path \"/usr/sbin/sendmail\"\n"
"\n"
"# load saved taglist on connect to same site?\n"
"# if no, taglist will never be saved\n"
"load_taglist yes # yes/no/ask\n"
"\n"
"# display ~ instead of full home directory path for various commands\n"
"tilde yes\n"
"\n"
"# aliases (on the form [alias name value])\n"
"# can't make an alias of another alias\n"
"\n"
"alias dir \"ls -lF\"\n"
"alias ls \"ls -F\"\n"
"alias rels \"cache --touch %*; ls -F %*\"\n"
"alias pls \"ls -F %* |$PAGER\"\n"
"alias bye quit\n"
"alias ? \"help\"\n"
"alias binary \"set type binary\"\n"
"alias ascii \"set type ascii\"\n"
"alias get \"get --verbose --preserve\"\n"
"alias put \"put --verbose\"\n"
"alias rm \"rm --verbose\"\n"
"alias lrm \"shell rm\"\n"
"alias lls \"shell ls -F\"\n"
"alias lmkdir \"shell mkdir\"\n"
"alias lrmdir \"shell rmdir\"\n"
"alias lcat \"!cat\"\n"
"alias zcat \"cat --type=binary %* | zcat\"\n"
"alias bzcat \"cat --type=binary %* | bzcat\"\n"
"alias page \"cat --type=ascii %* | $PAGER\"\n"
"alias zpage \"cat --type=binary %* | zcat | $PAGER\"\n"
"alias bzpage \"cat --type=binary %* | bzcat | $PAGER\"\n"
"alias show_trace \"!$PAGER $HOME/.yafc/trace/trace.$PPID\"\n"
"\n"
"# ftp prompts\n"
"#\n"
"# special codes:\n"
"# %u      username\n"
"# %h      remote host name (as passed to open)\n"
"# %H      %h up to the first '.'\n"
"# %m      remote machine name (as returned by gethostbyname)\n"
"# %M      %m up to the first '.'\n"
"# %n      remote ip number\n"
"# %[#]w   current remote working directory\n"
"# %W      basename of %w\n"
"# %[#]~   as %w but home directory is replaced with ~\n"
"# %[#]l   current local working directory\n"
"# %%      percent sign\n"
"# %#      a '#' if (local) user is root, else '$'\n"
"# %c      number of open connections\n"
"# %C      current connection number\n"
"# %{      begin sequence of non-printing chars, ie escape codes\n"
"# %}      end      -\"-\n"
"# \\e      escape (0x1B)\n"
"# \\n      newline\n"
"# \\t      tab\n"
"# \\r      carriage return\n"
"# \\b      backspace\n"
"# \\x##    character 0x## (hex)\n"
"#\n"
"# [#] means an optional width specifier can be specified\n"
"#  example: %32w\n"
"#\n"
"# you can put escape codes here, for example if you want a colored prompt\n"
"#  \"%{\\e[01;31m%}ftp%{\\e[0m%}\" will be \"ftp\" in red, if your terminal supports\n"
"#  ISO 6429 (ANSI) color codes.\n"
"#\n"
"# note: the %{ and %} codes are needed for readline to correctly wrap\n"
"#  lines with embedded escape codes\n"
"#\n"
"# (ANSI) Attribute codes:\n"
"# 00=none 01=bold 04=underscore 05=blink 07=reverse 08=concealed\n"
"# Text color codes:\n"
"# 30=black 31=red 32=green 33=yellow 34=blue 35=magenta 36=cyan 37=white\n"
"# Background color codes:\n"
"# 40=black 41=red 42=green 43=yellow 44=blue 45=magenta 46=cyan 47=white\n"
"\n"
"prompt1 \"yafc> \"                    # not connected\n"
"prompt2 \"yafc %h> \"                 # connected but not logged in\n"
"prompt3 \"yafc %u@%h:%42~> \"         # connected and logged in\n"
"\n"
"# Xterm window titles\n"
"# same codes as for the prompts above\n"
"# see the Xterm-title mini-HOWTO for more information\n"
"xterm_title1 \"\\e]0;yafc\\x07\"            # not connected\n"
"xterm_title2 \"\\e]0;yafc %h\\x07\"         # connected but not logged in\n"
"xterm_title3 \"\\e]0;yafc %u@%h:%~\\x07\"   # connected and logged in\n"
"\n"
"# $TERM's which can handle xterm escape sequences\n"
"xterm_title_terms \"xterm xterm-debian rxvt\"\n"
"\n"
"# transfer status string codes\n"
"# these strings are printed with the --verbose option to get/put\n"
"# \n"
"# %r   - remote filename         (actually _source_ filename)\n"
"# %R   - remote filename w/path  (actually _source_ filename)\n"
"# %l   - local filename          (actually _target_ filename)\n"
"# %L   - local filename w/path   (actually _target_ filename)\n"
"# %s   - size transferred so far\n"
"# %S   - total size (if available)\n"
"# %e   - ETA (time left)\n"
"# %p   - percent transferred\n"
"# %%   - percent sign\n"
"# %b   - transfer rate (Bps)\n"
"# %B   - transfer rate (Bps) or \"stalled\" if stalled\n"
"# %t   - time elapsed\n"
"# %v   - visual progress bar\n"
"# %{   - begin sequence of non-printing chars, ie escape codes\n"
"# %}   - end sequence of non-printing chars\n"
"#\n"
"# you can specify an (optional) max width between the '%' and\n"
"# the character code\n"
"# escape codes are recognized (enclose in %{ and %} pairs)\n"
"\n"
"# this string is printed before the actual transfer begins\n"
"#transfer_begin_string \"%{\\e[32m%}%-70R%{\\e[0m%}\\n\"\n"
"transfer_begin_string \"%-70R\\n\"\n"
"\n"
"# this string is printed (approx.) every second or so during the transfer\n"
"# with a trailing carriage return\n"
"#transfer_string \"%-38R   [%25v] %B\"\n"
"#transfer_string \"%-35R   %s of %S ETA %e %B\"\n"
"#transfer_string \"%5p%% [%{\\e[32m%}%25v%{\\e[0m%}] %s/%S ETA %{\\e[32m%}%e%{\\e[0m%} %B\"\n"
"transfer_string \"%5p%% [%25v] %s/%S ETA %e %B\"\n"
"\n"
"# this string is printed when the transfer is finished\n"
"#transfer_end_string \"%-35R   %p%% of %S in %t (%b)\\n\"\n"
"transfer_end_string \"\"\n"
"\n"
"# this string is printed at the same time as transfer_string if current\n"
"# $TERM is defined in xterm_title_terms\n"
"# Use to show dynamic info in the xterm title bar\n"
"transfer_xterm_string \"\\e]0;%p%% - %R - yafc\\x07\"\n"
"\n"
"\n"
"#\n"
"# Proxy settings\n"
"#\n"
"\n"
"# proxy_type is the type of proxy, valid arguments:\n"
"#\n"
"# 0 - no proxy (default)\n"
"# 1 - connect to proxy, USER real_user@real_host, PASS real_password\n"
"# 2 - login to proxy, USER real_user@real_host, PASS real_password\n"
"# 3 - login to proxy, SITE real_host, USER real_user, PASS real_password\n"
"# 4 - login to proxy, OPEN real_host, USER real_user, PASS real_password\n"
"# 5 - connect to proxy, USER real_user@proxy_user@real_host, PASS real_password@proxy_password\n"
"# 6 - connect to proxy, USER proxy_user@real_host, PASS proxy_password, USER realuser, PASS real_password\n"
"# 7 - connect to proxy, USER real_user@real_host:real_port, PASS real_password\n"
"\n"
"proxy_type 0\n"
"\n"
"# the proxy host to connect to including\n"
"# username, password and port (all optional)\n"
"# if username or password not given, you will\n"
"# be prompted for it\n"
"#proxy_host user:pass@host:port\n"
"# examples:\n"
"# connect to proxy host at port 21, prompt for username and password:\n"
"#proxy_host host\n"
"# connect to proxy host at port 4711, use username nisse and prompt for password:\n"
"#proxy_host nisse@host:4711\n"
"\n"
"# list of hosts to exclude from proxying (separated with colon)\n"
"# 'localnet' specifies unqualified hosts (within your domain)\n"
"proxy_exclude localhost:localnet\n"
"\n"
"# end of configuration file\n"
;
